﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="SecurityDatabaseModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="TUser">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="FullName" Type="varchar" MaxLength="64" Nullable="false" />
          <Property Name="Username" Type="varchar" MaxLength="32" Nullable="false" />
          <Property Name="Password" Type="varchar" MaxLength="32" Nullable="false" />
          <Property Name="RoleId" Type="int" Nullable="false" />
          <Property Name="Status" Type="int" Nullable="false" />
        </EntityType>
        <EntityContainer Name="SecurityDatabaseModelStoreContainer">
          <EntitySet Name="TUser" EntityType="Self.TUser" Schema="dbo" store:Type="Tables" />
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="SecurityDatabaseModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="TUser">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="FullName" Type="String" MaxLength="64" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Username" Type="String" MaxLength="32" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Password" Type="String" MaxLength="32" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="RoleId" Type="Int32" Nullable="false" />
          <Property Name="Status" Type="Int32" Nullable="false" />
        </EntityType>
        <EntityContainer Name="SecurityDatabaseEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="TUser" EntityType="Self.TUser" />
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="SecurityDatabaseModelStoreContainer" CdmEntityContainer="SecurityDatabaseEntities">
          <EntitySetMapping Name="TUser">
            <EntityTypeMapping TypeName="SecurityDatabaseModel.TUser">
              <MappingFragment StoreEntitySet="TUser">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="FullName" ColumnName="FullName" />
                <ScalarProperty Name="Username" ColumnName="Username" />
                <ScalarProperty Name="Password" ColumnName="Password" />
                <ScalarProperty Name="RoleId" ColumnName="RoleId" />
                <ScalarProperty Name="Status" ColumnName="Status" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>